
package com.tmerclub.cloud.common.order.bo;

import java.io.Serial;
import java.io.Serializable;
/**
 * 订单退款通知
 * @author tmerclub
 * @date 2020/12/8
 */
public class PayRefundBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 退款单号
     */
    private Long refundId;

    /**
     * 关联的支付订单id
     */
    private Long orderId;

    /**
     * 关联的支付单id
     */
    private Long payId;

    /**
     * 关联的支付单id
     */
    private String payIds;

    /**
     * 退款金额
     */
    private Long refundAmount;
    /**
     * 退回的商家采购金额，通联支付独有
     */
    private Long allinpayRefundPurchaseAmount;

    /**
     * 是否直接退款
     */
    private Integer onlyRefund;

    /**
     * 是否为未成团而退款的团购订单
     */
    private Integer unSuccessGroupOrder;
    /**
     * 店铺id
     */
    private Long shopId;

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getAllinpayRefundPurchaseAmount() {
        return allinpayRefundPurchaseAmount;
    }

    public void setAllinpayRefundPurchaseAmount(Long allinpayRefundPurchaseAmount) {
        this.allinpayRefundPurchaseAmount = allinpayRefundPurchaseAmount;
    }

    public String getPayIds() {

        return payIds;
    }

    public void setPayIds(String payIds) {
        this.payIds = payIds;
    }

    public Long getRefundId() {
        return refundId;
    }

    public void setRefundId(Long refundId) {
        this.refundId = refundId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getPayId() {
        return payId;
    }

    public void setPayId(Long payId) {
        this.payId = payId;
    }

    public Long getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(Long refundAmount) {
        this.refundAmount = refundAmount;
    }

    public Integer getOnlyRefund() {
        return onlyRefund;
    }

    public void setOnlyRefund(Integer onlyRefund) {
        this.onlyRefund = onlyRefund;
    }

    public Integer getUnSuccessGroupOrder() {
        return unSuccessGroupOrder;
    }

    public void setUnSuccessGroupOrder(Integer unSuccessGroupOrder) {
        this.unSuccessGroupOrder = unSuccessGroupOrder;
    }

    @Override
    public String toString() {
        return "PayRefundBO{" +
                "refundId=" + refundId +
                ", orderId=" + orderId +
                ", payId=" + payId +
                ", payIds='" + payIds + '\'' +
                ", refundAmount=" + refundAmount +
                ", allinpayRefundPurchaseAmount=" + allinpayRefundPurchaseAmount +
                ", onlyRefund=" + onlyRefund +
                ", unSuccessGroupOrder=" + unSuccessGroupOrder +
                ", shopId=" + shopId +
                '}';
    }
}
